
Redmine - Defect #11006

next previous function not available if issue is closed

2012-05-23 20:25 - Arnaud Dulieu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.4.1

Description

When a issue is set to closed, the Next - Previous function is not available anymore.

It is useful that the Next Previous can still be used for any issue in the list defined based on the filter used.

Related issues:

Is duplicate of Redmine - Feature #14462: Previous/next links may be lost aft... Closed

History

#1 - 2012-05-24 09:58 - Etienne Massip

Can't reproduce on trunk.

Any installed plugin that could change the behavior?

#2 - 2012-05-24 10:10 - Arnaud Dulieu

- File RedmineNextProv-closedstatus.pdf added

This is the way to reproduce it:

- open a issue that is not in status closed

- update the issue

- change the status to close

- submit

The save is ok "Successful update." but then the next/previous links are not displayed anymore.

Plugin installed:

Redmine Close Button plugin

This is the Close Issue button plugin for Redmine

http://github.com/Undev/redmine_close_button

akzhan.abdulin@gmail.com    0.0.8

Redmine Notice plugin

This plugin allows you to disable the notification of the closed tasks

https://github.com/parshukovvv/redmine_notify

Vladimir Parshukov    1.0.0

#3 - 2012-05-24 10:59 - Etienne Massip

Are you sure they were displayed before you closed the issue?

I mean, they are displayed if only if you have a query applied whichever is the status of the issue.

#4 - 2014-05-19 08:28 - zhiguo Zhu

+1

#5 - 2014-05-19 10:28 - zhiguo Zhu

- File issues_controller.diff added

fix it for v2.5.1
#6 - 2014-06-17 01:25 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #14462.

#7 - 2014-06-17 01:26 - Toshi MARUYAMA

- Is duplicate of Feature #14462: Previous/next links may be lost after editing the issue added

#8 - 2015-05-19 13:10 - zhiguo Zhu

- File issues_controller.diff added

fix for redmine-3.0.3

Files

RedmineNextProv-closedstatus.pdf 51.7 KB 2012-05-24 Arnaud Dulieu

issues_controller.diff 2.06 KB 2014-05-19 zhiguo Zhu

issues_controller.diff 2.21 KB 2015-05-19 zhiguo Zhu
